Page MenuHomePhabricator

Test step controllers
Closed, ResolvedPublic

Description

Simple creation tests and testing independent functions. One patch per step on the way.

Event Timeline

MarkTraceur claimed this task.
MarkTraceur raised the priority of this task from to Medium.
MarkTraceur updated the task description. (Show Details)
MarkTraceur moved this task to Next up on the Multimedia board.
MarkTraceur changed Security from none to None.
MarkTraceur added a subscriber: MarkTraceur.

Change 180521 had a related patch set uploaded (by MarkTraceur):
Add tests for tutorial step object

https://gerrit.wikimedia.org/r/180521

Patch-For-Review

Change 180541 had a related patch set uploaded (by MarkTraceur):
Add tests for upload step controller

https://gerrit.wikimedia.org/r/180541

Patch-For-Review

Change 180796 had a related patch set uploaded (by MarkTraceur):
Add tests for Deed step controller

https://gerrit.wikimedia.org/r/180796

Patch-For-Review

Change 180796 merged by jenkins-bot:
Add tests for Deed step controller

https://gerrit.wikimedia.org/r/180796

Change 181075 had a related patch set uploaded (by MarkTraceur):
Add unit tests for details step controller

https://gerrit.wikimedia.org/r/181075

Patch-For-Review

Change 181116 had a related patch set uploaded (by MarkTraceur):
Add unit tests for Thanks step controller

https://gerrit.wikimedia.org/r/181116

Patch-For-Review

Change 181075 merged by jenkins-bot:
Add unit tests for details step controller

https://gerrit.wikimedia.org/r/181075

Change 180541 merged by jenkins-bot:
Add tests for upload step controller

https://gerrit.wikimedia.org/r/180541

Change 180521 merged by jenkins-bot:
Add tests for tutorial step object

https://gerrit.wikimedia.org/r/180521

MarkTraceur moved this task from Doing to Needs code review on the Multimedia board.

I still need to rebase https://gerrit.wikimedia.org/r/181116 and then it needs merging.

Change 181116 merged by jenkins-bot:
Add unit tests for Thanks step controller

https://gerrit.wikimedia.org/r/181116

Tgr moved this task from Needs code review to Doing on the Multimedia board.Dec 29 2014, 9:50 PM
MarkTraceur closed this task as Resolved.Dec 31 2014, 4:27 PM
Jdforrester-WMF moved this task from Doing to Done on the Multimedia board.Oct 23 2015, 5:00 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptOct 23 2015, 5:00 PM